精华内容
下载资源
问答
  • 、过程 在实体机上准备安装 pytorch 包,但是报错:No space left on device,发现 home 目录下的磁盘空间接近满了 进入 home 下当前用户的目录,隐藏文件,./.cache 和 ./.local,首先,进入到 cache/pip 下...

    一、参考链接

    https://blog.csdn.net/da_kao_la/article/details/104355765
    https://blog.csdn.net/u012005313/article/details/47657277
    https://blog.csdn.net/kangkanglou/article/details/78955298
    https://blog.csdn.net/leviopku/article/details/107215401
    https://blog.csdn.net/C_chuxin/article/details/82962797

    二.、过程

    在实体机上准备安装 pytorch 包,但是报错:No space left on device,发现 home 目录下的磁盘空间接近满了
    在这里插入图片描述

    1. 进入 home 下当前用户的目录,有几个隐藏文件,./.cache 和 ./.local,首先,进入到 cache/pip 下,运行 sudo rm -rf *将 pip 安装的临时文件删除,释放一部分空间
    2. 返回,并进入到 ~/.local/lib/python3.7/site-packages目录下,将这里的 python 安装包复制到另一个磁盘空间更大的目录下,比如 home/xx,在这里新建一个文件夹 sudo mkdir site-packages,然后sudo cp -R ~/.local/lib/python3.7/site-packages/* site-packages/
    3. 修改 python 的 pip install 默认安装路径:运行 python -m site -help命令,查看 site.py 文件的位置,如 /home/xx/anaconda3/envs/py37/lib/python3.7/site.py,修改USER_BASE为新的 site-packages 所在的路径
    4. 安装所需环境即可:sudo pip install --no-cache-dir -b $BUILD_PATH torch==1.7.1+cpu torchvision==0.8.2+cpu torchaudio==0.7.2 -f https://download.pytorch.org/whl/torch_stable.html
    展开全文
  • 笔记本上安装了2.7和3.5两版本的python,在使用3.5版本的pip安装keras时出现了failed to create process错误。解决方法如下:1.由于我在环境变量中同时配置了2.7和3.5的路径,所以我可以直接在命令行下执行python3...

    笔记本上安装了2.7和3.5两个版本的python,在使用3.5版本的pip安装keras时出现了failed to create process错误。解决方法如下:

    1.由于我在环境变量中同时配置了2.7和3.5的路径,所以我可以直接在命令行下执行python3来启动3.5版本的python;

    2.通过python3来启动pip,在命令行中输入python3 -m pip install keras,成功安装上keras。

    以上情况为在同一个系统环境下同时存在了两种不同版本的python,可以采用沙箱的方式将不同版本的python放在两个互相隔离的环境中:

    1.安装虚拟环境

    $ sudo apt-get install python-dev python-virtualenv

    2.分别创建容纳python2和python3的独立环境

    $ mkdir ~/vmPython2

    $ mkdir ~/vmPython3

    $ virtualenv --no-site-packages -p /usr/bin/python2.7 ~/vmPython2

    $ virtualenv --no-site-packages -p /usr/bin/python3.6 ~/vmPython3

    3.启动虚拟环境(一次只能启动一个)

    $ source ~/vmPython2/bin/activate

    4.退出虚拟环境

    $ deactivate

    这里需要注意的是在ubuntu16.04中默认安装的是python2.7和python3.5,因此如果需要需要使用python3.6需要重新安装(建议尽量python3.5和python3.6都保留,不要因为装了python3.6,就把python3.5删除了,因为系统某些地方使用到了python3.5中的模块,轻易删除可能会导致系统出现问题。)

    下面贴出python3.6的安装方法:

    1.添加软件库,因为python 3.6 没有发布到ubuntu的正式仓库中

    $ sudo add-apt-repository ppa:jonathonf/python-3.6

    2.更新系统软件包并安装python3.6

    $ sudo apt-get update

    $ sudo apt-get install python3.6

    3.由于系统本身有一个python3.5,所以在使用python3命令时执行的是python3.5,若要使用python3.6,则在命令行中输入python3.6

    $ python3.6 -V

    展开全文
  • conda虚拟环境使用pip安装包最近在研究tfserving部署深度模型,写客户端代码时需要安装tensorflow-serving-api,conda中没有发现这包,网上查询通过pip来进行安装(pipinstall -i ...或者下载.whl包然后pip安装),直接...

    conda虚拟环境使用pip安装包

    最近在研究tfserving部署深度模型,写客户端代码时需要安装tensorflow-serving-api,conda中没有发现这个包,网上查询通过pip来进行安装(

    pip install -i https://pypi.tuna.tsinghua.edu.cn/simple tensorflow-serving-api,或者下载.whl包然后pip安装),直接执行上述方式后,发现虚拟环境里conda list 没有导入该包,应该是环境变量的pip和conda虚拟环境里的pip不是同一个。

    所以只需要定位到conda环境里的pip进行安装:/Users/xiangyumeng/workspace/anaconda3/envs/test_tensorflow/bin/pip -i https://pypi.tuna.tsinghua.edu.cn/simple tensorflow-serving-api,发现指令报错, “-i” 指令识别不了。

    如果想要使用源,首先对pip进行更新/Users/xiangyumeng/workspace/anaconda3/envs/test_tensorflow/bin/python -m pip install --upgrade pip,然后往pip中加入清华源/Users/xiangyumeng/workspace/anaconda3/envs/test_tensorflow/bin/pip config set global.index-url https://pypi.tuna.tsinghua.edu.cn/simple,之后再执行安装指令/Users/xiangyumeng/workspace/anaconda3/envs/test_tensorflow/bin/pip install tensorflow-serving-api默认是指定到了清华源进行安装。

    步骤很粗糙,大家可以多试试哈

    展开全文
  • pippip 是 Python 包管理工具,该工具提供了对Python 包的查找、下载、安装、卸载的功能。最新的Python自带pip以前的Python版本并没有自带pip工具,但是最新的Python(Python 2.7.9 + 或 Python 3.4+ )都自带pip工具...

    pip

    pip 是 Python 包管理工具,该工具提供了对Python 包的查找、下载、安装、卸载的功能。

    最新的Python自带pip

    以前的Python版本并没有自带pip工具,但是最新的Python(Python 2.7.9 + 或 Python 3.4+ )都自带pip工具,当安装好Python时pip已经安装好了。

    可以在命令行:

    pip --version

    查看当前安装的pip版本:

    c31fca25170bd03b5096ea8652406eb9.png

    当然,如果升级到pip v20以后,pip命令模式(pip script wrapper)改为:

    python -m pip

    此时使用:

    python -m pip --version

    查看版本:

    d1034c744a186f38a9826de06d8789aa.png

    pip命令

    c979a5e9f29741568d4bcec89e529e63.png

    升级pip

    普通的升级命令:

    python -m pip install -U pip

    python -m pip install --upgrade pip

    但在实操中这两个命令很不实用:

    e1f9dac44d8a5980af15cc709b9c2dd3.png

    即说,没有权限访问该路径。推荐使用:

    –user

    python -m pip install --upgrade pip --user

    3f92c525737f177018634f832d2487ab.png

    此时再看版本信息:

    32e6c21de35cb31feea78ac528839fc5.png

    即,不要直接使用pip命令了,而改为

    python -m pip

    试试:

    171d236950b1ba75b595a2f66cb5ee63.png

    OK。

    用pip下载安装python包

    python -m pip install PACKAGE_NAME

    试一下:

    b3d2d51993b221edfc4b44eecc44a6a0.png

    报错:

    dd51a2c32f2257b23f845316a9467528.png

    加上

    –user

    参数:

    2599aa8a479d8f54b2c93cff46065480.png

    使用国内镜像

    上面的无论是升级(–upgrade),还是安装(–install),默认的下载地址都是境外地址,速度很慢,像numpy这种比较小的包还行,遇到大一点的包,或者一次性安装多个包,就会经常出现Timeout错误,有时可以指定国内的Python镜像地址下载,如:

    http://e.pypi.python.org

    http://pypi.douban.com/simple

    这样使用:

    升级pip

    pip install -i http://e.pypi.python.org --trusted-host e.pypi.python.org --upgrade pip --user

    安装包

    python -m pip install -i http://pypi.douban.com/simple --trusted-host pypi.douban.com --user PACKAGE_NAME

    当然这是临时使用该地址,如果想永久性的改变默认下载地址,可以这么做:

    windows下,在user目录中创建一个pip目录,如C:\Users\xx\pip,新建文件pip.ini,内容如下:

    [global]

    index-url = https://pypi.tuna.tsinghua.edu.cn/simple

    这样就永久地修改了下载源。

    参考:

    修改python的pip下载源

    PS:当然,对于install失败的问题,还有个解决方案:使用esay_install,这里不多做介绍,感兴趣的可以自行搜索资料。

    安装后,可以使用

    python -m pip list

    查看pip install的包:

    01d429429893b054c39e4ef12b67f8cb.png

    展开全文
  • python作业毕设:python包管理工具:Conda和pip比较​zhuanlan.zhihu.... Pip是Python Packaging Authority推荐的用于从Python Package Index安装包的工具。 Pip安装打包为wheels或源代码分发的Python软件。后者可...
  • 电脑存现多个版本如何知道安装的模块在哪里 安装的时候发现自己想安装的模块XLwt去到了另外一个文件夹里,于是发现自己存在两个python安装包 第一步:sys.path查看自己所在安装路径哪些 第二步:对于不需要的...
  • Pip安装包路径修改(python3>anaconda) 对于很初学者来说,电脑可能装了很python软件,从python3,到anaconda,但不小心可能会遇到一问题:使用pip安装各类包的时候,发现安装成功了,但当我们import的时候...
  • # 生产环境 windows 7# python 2.7.9# pip 1.5.2友情提示:当你遇到无法安装包的不明错误时,可以回头来考虑如下建议了:想办法更新Python版本!!!想办法更新Python版本!!!想办法更新Python版本!!!如果不能...
  • pip安装包出现的问题

    2021-10-27 11:28:47
    如果有多个package需要安装,则将所需的package写在requirements.txt中,每个package写在一行 然后执行如下命令 python3 -m pip install -r requirements.txt 如果出现问题 可以尝试 pip install num2words -...
  • windows下多个python版本共存,pip使用

    千次阅读 2021-02-05 09:56:28
    一、同时装了Python3和Python2,怎么区分了解python的人都知道python2.x版本和3.x版本,而python3.x版本不向下兼容,但是根据具体的需要,时候要2.x和3.x共存,python共存本身没有问题,只是需要设置一些环境...
  • python2、python3同时存在,pip安装包后,显示No module的问题 在电脑中同时安装python2、python3的情况下,明明已经pip相对应的包后,但是使用import相应包时python2可以正常导入,然而python3却显示No module 插...
  • 发现可能是由于requests没有安装依赖安装包 pip install cryptography pip install pyOpenSSL pip install certifi 因为需要使用pip安装这些包,所以就用cmd执行命令:pip install xxx,结果报错 然后百度找...
  • 2.安装多个包 conda install package_name1 package_name2 package_name1 3. 安装到指定版本conda install package_name=1.1.0 4. 卸载包 conda remove p_n 5. 更新包 conda update p_n / conda updata --all 6. ...
  • 平常时经常用pip install xx 去安装第三方包,那怎么制作自己的包呢,也可以通过pip的方式去安装,...通过下面的代码,得到一6位数字的字符,然后输入到右侧的文本框,提交就行了前提先 pip install pyotpimport pyo
  • #生产环境 windows 7#python 2.7.9#pip 1.5.2友情提示:当你遇到无法安装包的不明错误时,可以回头来考虑如下建议了:想办法更新Python版本!!!想办法更新Python版本!!!想办法更新Python版本!!!如果不能更新...
  • 电脑里python2.7、python3.7、python3.10等多个版本,有些还是软件自带的,导致安装的包经常不是在自己想要的版本中,下面介绍两种方法。欢迎各位大佬补充! 第一种: 打开pycharm, 打开setting, 点击Project:**...
  • pip原生镜像源速度一般都很慢,替换python的pip源,pip安装速度会快很 cd ~mkdir .pip 直接新建并编辑pip.conf: sudo vim ~/.pip/pip.conf 添加以下内容: [global]index-url=...
  • 为了安装一包需要更新在ubuntu上更新python3的版本。ubuntu16默认的python是python2.7和python3.5,但是我安装的包用到matplotlib,需要最低python3.6的版本,所以安装了python3.6,并且按照我前
  • pip文件夹里面新建一文本文档,并重新命名为:pip.ini,需要修改后缀。 在pip.ini里面添加下面的信息(采用阿里云): [global] trusted-host = mirrors.aliyun.com index-url = ...
  • 之前安装jupyter成功后没有新建文件跑一下,结果昨天晚上使用jupyter新建文件后发现无法运行出结果,实际情况和报错如下: 根据问题找了最靠谱的几博客 如下:但是我试了没有用 还是看报错...衍生问题:pip ..
  • 目前python2.7.x版本与python3.x的版本并行开发的情况特别,而我们也经常使用pip来管理安装包,但是再使用pip install的时候时候经常会安装到老版本的python site-packages中,很费解。python版本安装pip.png...
  • Linux pip命令和在线、离线安装

    千次阅读 2021-01-14 15:36:21
    1. pip 介绍pip 是 Python 包管理工具,该工具提供了对Python 包的...1.1 pip 常用命令安装包pip install SomePackage # 最新版本pip install SomePackage==1.0.4 # 指定版本pip install ‘SomePackage>=1.0.4’ ...
  • I'm trying to fix up one of my virtualenvs - I'd like to reset all of the installed libraries back to the ones that match production.Is there a quick and easy way to do this with pip?解决方案I've ...
  • [python]重新安装pip

    2021-05-28 11:44:30
    python中一开始的import指令大家都不陌生,也是因为可以调用不同模块的功能,被称为“胶水语言”。一般安装外部库种方式,方便的是直接在
  • pip install -r requirements.txt 基于pip批量安装包的方式,非常适合conda在不同的操作系统下迁移环境 第一步:使用conda命令导出环境中yaml文件!...问题:为何要pip批量安装包的方式来更新...
  • pip安装常出现的错误及解决方案

    千次阅读 2021-01-06 17:25:36
    一般windows系统出现这问题,可以在命令后面加上--user参数,类似: pip install pyinstaller # 上句报超时错误 pip install pyinstaller --user # 一般就可以下载了 使用–help去查看–user的作用 大意就是:...
  • 需求如题,时候我们电脑里面安装了不同版本的python,比如我电脑上安装了python3.6和python3.7两版本,现在我项目使用的是python3.7,我想在python3.7这解释器上安装一叫pykka的包,该如何做呢? 1,首先...
  • 版本python切换pip

    2021-07-31 10:40:11
    多个版本python可以使用python3.6 xx.py,python3.8 xx.py 执行程序,为了方便使用,通常将你希望使用的python版本添加一个软链接,链接到/usr/bin/python,这样就可以使用python xx.py执行程序。 # 1.查看python3.8...
  • 在使用python的时候,经常使用到pip工具,可以很方便的线上安装依赖库,当然pip还有很参数都可以帮我们去查询一些库信息,在安装python的时候,下载带有pip安装包就可以直接安装pip啦,当然没有带pip的,也...
  • 本文主要内容: 1. 安装pip 2. 安装库 3. 查看已经安装的库 4. 示例: 1. 安装pip pip 是Python的包安装和管理工具。 首先访问官网下载 pip,下载网址是:https:/

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 24,523
精华内容 9,809
关键字:

有多个pip安装包